
Figure - Bug #118204
【IOVDEV-30065】内部】【VC1】【0095】【台架】【EE环境】【副屏】跑完monkey早上副屏黑屏，开机重
启后桌面预置应用智联投屏、设置、搜狗输入法丢失
2023-05-24 11:00 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-24

Priority: High Due date:

Assignee: CDTS_TEST 王成 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095.c103

Resolution: FIXED Degrated: No

Severity: Critical Verified Version:

Reproducibility: Frequently Fixed Version: 2023-05-25

Test Type: ST Root cause: 编码问题

Description

环境信息】EE环境

【问题出现时间】：20230524 08：56

【前提条件】：副屏上电，中控已连接，功放已连接

【操作步骤】

1.运行monkey bat脚本

【实际结果】

1.跑完monkey早上副屏黑屏，开机重启后桌面预置应用智联投屏、设置丢失

【期望结果】

1.副屏功能正常

【备注】：

【当前开机次数】：117

【应用版本】：

【硬件版本号】：

VIN:HRYTTESTVINMGM401

【中控版本号】：03.02.0082.C101

【副屏版本号】：01.00.0095.c103

Subtasks:

Bug # 118213: 【IOVDEV-30065】内部】【VC1】【0095】【台架】【EE环境】【副屏】跑完monk... CLOSED

Related issues:

Related to Figure - Bug # 118132: 【IOVDEV-29558】【内部】【VC1】... CLOSED 2023-05-22

History

#1 - 2023-05-24 11:08 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118204/118204

#2 - 2023-05-24 15:12 - CDTS_TEST 王成

- Due date set to 2023-05-26

#3 - 2023-05-24 16:30 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Status changed from New to ASSIGNED
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118204/118204


- Assignee changed from CD FW 曹覃刚 to CD APP-王营

Hi 王营

检查发生时间段内的日志，在头一天晚上八点多有卸载三方应用，但是并没有卸载问题描述中的应用

另外系统应用是无法卸载的，因此应该是Launcher中图标因为某些原因不见了，请帮忙检查，谢谢

----------------------

FSEM_000116_0009_0523211237/logcat/000116_persist_00395_230523_204428.log:80:05-23 20:44:28.887  2514  2569 D PackageUpdatedTask: Removing app

iconcom.tencent.qqmusic

FSEM_000116_0009_0523211237/logcat/000116_persist_00395_230523_204428.log:194:05-23 20:44:28.951  2514  2569 D PackageUpdatedTask: Removing app

iconcom.ximalaya.ting.android

FSEM_000116_0009_0523211237/logcat/000116_persist_00394_230523_204427.log:945:05-23 20:44:28.504  2514  2569 D PackageUpdatedTask: Removing app

iconcom.huawei.appmarket

FSEM_000116_0009_0523211237/logcat/000116_persist_00394_230523_204427.log:1295:05-23 20:44:28.585  2514  2569 D PackageUpdatedTask: Removing app

iconcom.tencent.mm

FSEM_000116_0009_0523211237/logcat/000116_persist_00394_230523_204427.log:1777:05-23 20:44:28.753  2514  2569 D PackageUpdatedTask: Removing app

iconcom.tuyoo.doudizhu.android3d.huawei

FSEM_000116_0009_0523211237/logcat/000116_persist_00394_230523_204427.log:1955:05-23 20:44:28.806  2514  2569 D PackageUpdatedTask: Removing app

iconcom.cmcc.cmvideo

FSEM_000116_0009_0523211237/logcat/000116_persist_00394_230523_204427.log:2051:05-23 20:44:28.854  2514  2569 D PackageUpdatedTask: Removing app

iconcom.qiyi.video

#4 - 2023-05-24 16:53 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CDTS_TEST 王成

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-25

- Root cause set to 编码问题

【当前状态】

已解决，待验证

【分析】

复现了此问题，Dock在文件夹移除过程中会出现此问题。

最后一个图标由于计算错误，导致添加到hotseat中失败。

解决方案是:修改位置获取计算方式，使满足添加条件。

【提交】

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/201891

#5 - 2023-06-02 18:47 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

6.2

近3个版本monkey未复现
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/201891


先关闭

#6 - 2023-06-02 18:47 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

video(88).mp4 2.09 MB 2023-05-24 CDTS_TEST 王成
